Upload Clone Audio

Use this API to upload audio files for cloning.

POST/v1/files/upload

Authorization

AuthorizationstringheaderRequired
HTTP: Bearer Auth
  • Security Scheme Type: http
  • HTTP Authorization Scheme: Bearer API_key,Used to verify account information, can be viewed in Project Management > API Key .

Request Header

Content-Typeenum<string>Default: multipart/form-dataRequired

Request Body multipart/form-data

purposeenum<string>Required

Purpose of the file:
  • voice_cloneOriginal file for fast clone
  • prompt_audio

filebinaryRequired

Binary data of the file to be uploaded. Specifications:
  • Mono wav format;
  • Duration should be at least 5 seconds and at most 2 minutes. Recommended duration 5-15 seconds.

Response Body Structure

fileobject

file.file_idlong

Unique file identifier (15 digits)

file.bytesinteger

File size (bytes)

file.created_atinteger

Creation time Unix timestamp (seconds)

file.filenamestring

File name

file.purposestring

Purpose of the file, default voice_clone

base_respobject

base_resp.status_codeinteger

状态码:0=成功;100001=invalid params

base_resp.status_msgstring

状态详情